Mail archive
alpine-devel

[alpine-devel] [PATCH 3/3] testing/supertuxkart: new aport

From: Jeff Bilyk <jbilyk_at_gmail.com>
Date: Thu, 17 Mar 2011 21:49:21 +0000

---
 testing/supertuxkart/APKBUILD |   43 +++++++++++++++++++++++++++++++++++++++++
 1 files changed, 43 insertions(+), 0 deletions(-)
 create mode 100644 testing/supertuxkart/APKBUILD
diff --git a/testing/supertuxkart/APKBUILD b/testing/supertuxkart/APKBUILD
new file mode 100644
index 0000000..cc47cc6
--- /dev/null
+++ b/testing/supertuxkart/APKBUILD
_at_@ -0,0 +1,43 @@
+# Maintainer: Jeff Bilyk <jbilyk_at_alpinelinux.org>
+pkgname=supertuxkart
+pkgver=0.7
+pkgrel=0
+pkgdesc="Kart racing game"
+url="http://supertuxkart.sourceforge.net"
+arch="x86 x86_64"
+license="GPL"
+depends=
+depends_dev="irrlicht libvorbis-dev libogg-dev openal-soft-dev mesa-dev jpeg-dev gettext-dev"
+makedepends="$depends_dev"
+source="http://downloads.sourceforge.net/project/$pkgname/SuperTuxKart/0.7/$pkgname-$pkgver-src.tar.bz2"
+
+_builddir="$srcdir"/$pkgname-$pkgver
+
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+			*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	./configure --prefix=/usr \
+		--datadir=/usr/share \
+		--bindir=/usr/bin \
+		--with-irrlicht=/usr/include/irrlicht \
+		|| return 1
+	# From arch pkgbuild
+	sed -i "s#/usr/local#/usr#" src/io/file_manager.cpp
+	sed -i "s#/games#/bin#" $(grep -r "/games" *)
+	make || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="$pkgdir" install || return 1
+}
+md5sums="2806f271e4d37fee5ad8ca166e1ad489  supertuxkart-0.7-src.tar.bz2"
-- 
1.7.4.1
---
Unsubscribe:  alpine-devel+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-devel+help_at_lists.alpinelinux.org
---
Received on Thu Mar 17 2011 - 21:49:21 UTC